<div class="container-fluid h-100">
    <div class="row h-100">
        <div class="col-md-12 gmap">
            <agm-map [latitude]="lat" [zoom]="zoom" [longitude]="lng" [styles]="styles">
                <agm-marker  [latitude]="lat" [longitude]="lng"></agm-marker>
              </agm-map>
              <div class="form bg-ghostblack ghostwhite">
                <h3 class="title animate__animated animate__bounce">Contact</h3>
                <form class="col-md-10" [formGroup]="registerForm" (ngSubmit)="onSubmit()">
                    <div class="form-group form-row">
                        <div class="col">
                            <input type="text" formControlName="name" class="form-control" placeholder="Name" [ngClass]="{ 'is-invalid': submitted && f.name.errors }" />
                            <div *ngIf="submitted && f.name.errors" class="invalid-feedback">
                                <div *ngIf="f.name.errors.required">Name is required</div>
                                <div *ngIf="f.name.errors.minlength">Name must be at least 3 characters</div>
                            </div>
                          </div>
                          <div class="col">
                            <input type="text" formControlName="email" class="form-control" placeholder="Mail" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                            <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                                <div *ngIf="f.email.errors.required">Email is required</div>
                                <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
                            </div>
                          </div>
                    </div>
                    <div class="form-group">
                        <input type="text" formControlName="subject" class="form-control" placeholder="Subject" [ngClass]="{ 'is-invalid': submitted && f.subject.errors }" />
                        <div *ngIf="submitted && f.subject.errors" class="invalid-feedback">
                            <div *ngIf="f.subject.errors.required">Subject is required</div>
                            <div *ngIf="f.subject.errors.minlength">Subject must be at least 5 characters</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <textarea type="text" formControlName="msg" class="form-control" placeholder="Message" rows="4" [ngClass]="{ 'is-invalid': submitted && f.msg.errors }"></textarea>
                        <div *ngIf="submitted && f.msg.errors" class="invalid-feedback">
                            <div *ngIf="f.msg.errors.required">Message is required</div>
                            <div *ngIf="f.msg.errors.minlength">Message must be at least 6 characters</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-dark">Send</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>